type ekimei_t = { 
  kanji   : string; (* ̾ *) 
  kana    : string; (* ɤ *) 
  romaji  : string; (* ޻ *) 
  shozoku : string; (* °̾ *) 
} 
 
type ekikan_t = { 
  kiten  : string; (*  *) 
  shuten : string; (*  *) 
  keiyu  : string; (* ͳ̾ *) 
  kyori  : float;  (* Υ *) 
  jikan  : int;    (*  *) 
} 
 
let global_ekimei_list = [ 
{kanji="塹ھ帶"; kana="褮Ϥ"; romaji="yoyogiuehara"; shozoku=""}; 
{kanji="塹ڸ"; kana="褮"; romaji="yoyogikouen"; shozoku=""}; 
{kanji=""; kana="ᤤ󤰤ޤ"; romaji="meijijinguumae"; shozoku=""}; 
{kanji="ɽƻ"; kana="Ƥɤ"; romaji="omotesandou"; shozoku=""}; 
{kanji="ǵں"; kana="Τ"; romaji="nogizaka"; shozoku=""}; 
{kanji="ֺ"; kana=""; romaji="akasaka"; shozoku=""}; 
{kanji="ĻƲ"; kana="äɤޤ"; romaji="kokkaigijidoumae"; shozoku=""}; 
{kanji=""; kana="ߤ"; romaji="kasumigaseki"; shozoku=""}; 
{kanji="ë"; kana="ҤӤ"; romaji="hibiya"; shozoku=""}; 
{kanji="Ŷ"; kana="ˤ夦Фޤ"; romaji="nijuubasimae"; shozoku=""}; 
{kanji="Į"; kana="Ƥޤ"; romaji="otemachi"; shozoku=""}; 
{kanji="ο"; kana="󤪤Τߤ"; romaji="shin-ochanomizu"; shozoku=""}; 
{kanji=""; kana="椷"; romaji="yushima"; shozoku=""}; 
{kanji=""; kana="ͤ"; romaji="nedu"; shozoku=""}; 
{kanji=""; kana=""; romaji="sendagi"; shozoku=""}; 
{kanji="Τ"; kana="ˤˤäݤ"; romaji="nishinippori"; shozoku=""}; 
{kanji="Į"; kana="ޤ"; romaji="machiya"; shozoku=""}; 
{kanji="齻"; kana="󤸤"; romaji="kitasenjyu"; shozoku=""}; 
{kanji=""; kana="䤻"; romaji="ayase"; shozoku=""}; 
{kanji="̰"; kana="䤻"; romaji="kitaayase"; shozoku=""}; 
{kanji=""; kana=""; romaji="asakusa"; shozoku=""}; 
{kanji="ĸĮ"; kana="ޤ"; romaji="tawaramachi"; shozoku=""}; 
{kanji="Į"; kana="ʤ礦"; romaji="inaricho"; shozoku=""}; 
{kanji=""; kana=""; romaji="ueno"; shozoku=""}; 
{kanji="ϩ"; kana="ΤҤ"; romaji="uenohirokoji"; shozoku=""}; 
{kanji="Į"; kana="Ҥ礦"; romaji="suehirocho"; shozoku=""}; 
{kanji=""; kana=""; romaji="kanda"; shozoku=""}; 
{kanji=""; kana="ߤĤޤ"; romaji="mitsukoshimae"; shozoku=""}; 
{kanji="ܶ"; kana="ˤۤФ"; romaji="nihonbashi"; shozoku=""}; 
{kanji=""; kana="礦Ф"; romaji="kyobashi"; shozoku=""}; 
{kanji=""; kana=""; romaji="ginza"; shozoku=""}; 
{kanji=""; kana="Ф"; romaji="shinbashi"; shozoku=""}; 
{kanji="ץ"; kana="ȤΤ"; romaji="toranomon"; shozoku=""}; 
{kanji="ίӻ"; kana="ᤤΤ"; romaji="tameikesannou"; shozoku=""}; 
{kanji="ֺ丫"; kana="ߤĤ"; romaji="akasakamitsuke"; shozoku=""}; 
{kanji="Ļ"; kana="ޤä礦"; romaji="aoyamaicchome"; shozoku=""}; 
{kanji=""; kana="ޤ"; romaji="gaienmae"; shozoku=""}; 
{kanji="ɽƻ"; kana="Ƥɤ"; romaji="omotesando"; shozoku=""}; 
{kanji="ë"; kana="֤"; romaji="shibuya"; shozoku=""}; 
{kanji="ë"; kana="֤"; romaji="shibuya"; shozoku="Ⱦ¢"}; 
{kanji="ɽƻ"; kana="Ƥɤ"; romaji="omotesandou"; shozoku="Ⱦ¢"}; 
{kanji="Ļ"; kana="ޤä礦"; romaji="aoyama-itchome"; shozoku="Ⱦ¢"}; 
{kanji="Į"; kana="ʤ礦"; romaji="nagatacho"; shozoku="Ⱦ¢"}; 
{kanji="Ⱦ¢"; kana="Ϥ󤾤"; romaji="hanzomon"; shozoku="Ⱦ¢"}; 
{kanji="ʲ"; kana="󤷤"; romaji="kudanshita"; shozoku="Ⱦ¢"}; 
{kanji="Į"; kana="ܤ礦"; romaji="jinbocho"; shozoku="Ⱦ¢"}; 
{kanji="Į"; kana="Ƥޤ"; romaji="otemachi"; shozoku="Ⱦ¢"}; 
{kanji=""; kana="ߤĤޤ"; romaji="mitsukoshimae"; shozoku="Ⱦ¢"}; 
{kanji="ŷ"; kana="Ƥ󤰤ޤ"; romaji="suitengumae"; shozoku="Ⱦ¢"}; 
{kanji=""; kana="褹ߤ餫"; romaji="kiyosumi-shirakawa"; shozoku="Ⱦ¢"}; 
{kanji=""; kana="ߤ褷"; romaji="sumiyoshi"; shozoku="Ⱦ¢"}; 
{kanji="ӻĮ"; kana="󤷤礦"; romaji="kinshicho"; shozoku="Ⱦ¢"}; 
{kanji=""; kana=""; romaji="oshiage"; shozoku="Ⱦ¢"}; 
{kanji="ܹ"; kana="ʤᤰ"; romaji="nakameguro"; shozoku="ë"}; 
{kanji=""; kana="Ӥ"; romaji="ebisu"; shozoku="ë"}; 
{kanji=""; kana="Ҥ"; romaji="hiro"; shozoku="ë"}; 
{kanji="ϻ"; kana="äݤ"; romaji="roppongi"; shozoku="ë"}; 
{kanji="ëĮ"; kana="ߤ礦"; romaji="kamiyacho"; shozoku="ë"}; 
{kanji=""; kana="ߤ"; romaji="kasumigaseki"; shozoku="ë"}; 
{kanji="ë"; kana="ҤӤ"; romaji="hibiya"; shozoku="ë"}; 
{kanji=""; kana=""; romaji="ginza"; shozoku="ë"}; 
{kanji=""; kana="Ҥ"; romaji="higashiginza"; shozoku="ë"}; 
{kanji=""; kana="Ĥ"; romaji="tsukiji"; shozoku="ë"}; 
{kanji="Ȭ"; kana="Ϥä礦ܤ"; romaji="hacchobori"; shozoku="ë"}; 
{kanji="Į"; kana="Ф礦"; romaji="kayabacho"; shozoku="ë"}; 
{kanji="ͷĮ"; kana="ˤ󤮤礦礦"; romaji="ningyomachi"; shozoku="ë"}; 
{kanji="Į"; kana="Ǥޤ礦"; romaji="kodemmacho"; shozoku="ë"}; 
{kanji="ո"; kana="ϤФ"; romaji="akihabara"; shozoku="ë"}; 
{kanji="Į"; kana="ʤޤ"; romaji="nakaokachimachi"; shozoku="ë"}; 
{kanji=""; kana=""; romaji="ueno"; shozoku="ë"}; 
{kanji="ë"; kana=""; romaji="iriya"; shozoku="ë"}; 
{kanji=""; kana="ߤΤ"; romaji="minowa"; shozoku="ë"}; 
{kanji="齻"; kana="ߤʤߤ󤸤"; romaji="minamisenju"; shozoku="ë"}; 
{kanji="齻"; kana="󤸤"; romaji="kitasenju"; shozoku="ë"}; 
{kanji=""; kana="֤"; romaji="ikebukuro"; shozoku="ݥ"}; 
{kanji=""; kana="󤪤Ĥ"; romaji="shinotsuka"; shozoku="ݥ"}; 
{kanji="謲ë"; kana="ߤ礦"; romaji="myogadani"; shozoku="ݥ"}; 
{kanji="ڱ"; kana="餯"; romaji="korakuen"; shozoku="ݥ"}; 
{kanji="ܶ"; kana="ۤ󤴤礦"; romaji="hongosanchome"; shozoku="ݥ"}; 
{kanji="ο"; kana="Τߤ"; romaji="ochanomizu"; shozoku="ݥ"}; 
{kanji="øϩĮ"; kana="露礦"; romaji="awajicho"; shozoku="ݥ"}; 
{kanji="Į"; kana="Ƥޤ"; romaji="otemachi"; shozoku="ݥ"}; 
{kanji=""; kana="Ȥ礦"; romaji="tokyo"; shozoku="ݥ"}; 
{kanji=""; kana=""; romaji="ginza"; shozoku="ݥ"}; 
{kanji=""; kana="ߤ"; romaji="kasumigaseki"; shozoku="ݥ"}; 
{kanji="ĻƲ"; kana="äɤޤ"; romaji="kokkaigijidomae"; shozoku="ݥ"}; 
{kanji="ֺ丫"; kana="ߤĤ"; romaji="akasakamitsuke"; shozoku="ݥ"}; 
{kanji="ͥë"; kana="Ĥ"; romaji="yotsuya"; shozoku="ݥ"}; 
{kanji="ë"; kana="Ĥ䤵礦"; romaji="yotsuyasanchome"; shozoku="ݥ"}; 
{kanji="ɸ"; kana="󤸤夯礨ޤ"; romaji="shinjuku-gyoemmae"; shozoku="ݥ"}; 
{kanji="ɻ"; kana="󤸤夯礦"; romaji="shinjuku-sanchome"; shozoku="ݥ"}; 
{kanji=""; kana="󤸤夯"; romaji="shinjuku"; shozoku="ݥ"}; 
{kanji=""; kana="ˤ󤸤夯"; romaji="nishi-shinjuku"; shozoku="ݥ"}; 
{kanji=""; kana="ʤΤ"; romaji="nakano-sakaue"; shozoku="ݥ"}; 
{kanji=""; kana="ʤ"; romaji="shin-nakano"; shozoku="ݥ"}; 
{kanji="߻"; kana="Ҥ"; romaji="higashi-koenji"; shozoku="ݥ"}; 
{kanji="߻"; kana="󤳤"; romaji="shin-koenji"; shozoku="ݥ"}; 
{kanji="ë"; kana="ߤʤߤ"; romaji="minami-asagaya"; shozoku="ݥ"}; 
{kanji=""; kana=""; romaji="ogikubo"; shozoku="ݥ"}; 
{kanji=""; kana="ʤΤФ"; romaji="nakano-shimbashi"; shozoku="ݥ"}; 
{kanji="ٻθĮ"; kana="ʤΤդߤ礦"; romaji="nakano-fujimicho"; shozoku="ݥ"}; 
{kanji="Į"; kana="ۤʤ礦"; romaji="honancho"; shozoku="ݥ"}; 
{kanji="ͥë"; kana="Ĥ"; romaji="yotsuya"; shozoku=""}; 
{kanji="Į"; kana="ʤ礦"; romaji="nagatacho"; shozoku=""}; 
{kanji="ίӻ"; kana="ᤤΤ"; romaji="tameikesanno"; shozoku=""}; 
{kanji="ϻڰ"; kana="äݤ󤮤ä礦"; romaji="roppongiitchome"; shozoku=""}; 
{kanji="۽"; kana="֤夦Ф"; romaji="azabujuban"; shozoku=""}; 
{kanji=""; kana="ͤʤ"; romaji="shirokanetakanawa"; shozoku=""}; 
{kanji=""; kana="ͤ"; romaji="shirokanedai"; shozoku=""}; 
{kanji="ܹ"; kana="ᤰ"; romaji="meguro"; shozoku=""}; 
{kanji="ԥë"; kana=""; romaji="ichigaya"; shozoku=""}; 
{kanji="Ķ"; kana="Ф"; romaji="idabashi"; shozoku=""}; 
{kanji="ڱ"; kana="餯"; romaji="korakuen"; shozoku=""}; 
{kanji=""; kana="Ȥޤ"; romaji="todaimae"; shozoku=""}; 
{kanji="ܶ"; kana="ۤ󤳤ޤ"; romaji="honkomagome"; shozoku=""}; 
{kanji=""; kana="ޤ"; romaji="komagome"; shozoku=""}; 
{kanji=""; kana="ˤϤ"; romaji="nishigahara"; shozoku=""}; 
{kanji=""; kana=""; romaji="oji"; shozoku=""}; 
{kanji="ҿë"; kana="ߤ"; romaji="ojikamiya"; shozoku=""}; 
{kanji=""; kana=""; romaji="shimo"; shozoku=""}; 
{kanji="ֱʥ"; kana="Ф֤ͤ"; romaji="akabaneiwabuchi"; shozoku=""}; 
{kanji=""; kana="ˤդʤФ"; romaji="nishi-funabashi"; shozoku=""}; 
{kanji="滳"; kana="Ф餭ʤ"; romaji="baraki-nakayama"; shozoku=""}; 
{kanji="̯ŵ"; kana="ߤ礦Ǥ"; romaji="myoden"; shozoku=""}; 
{kanji=""; kana="礦Ȥ"; romaji="gyotoku"; shozoku=""}; 
{kanji=""; kana="ߤʤߤ礦Ȥ"; romaji="minami-gyotoku"; shozoku=""}; 
{kanji=""; kana="䤹"; romaji="urayasu"; shozoku=""}; 
{kanji=""; kana=""; romaji="kasai"; shozoku=""}; 
{kanji=""; kana="ˤ"; romaji="nishi-kasai"; shozoku=""}; 
{kanji="Į"; kana="ߤʤߤʤޤ"; romaji="minami-sunamachi"; shozoku=""}; 
{kanji="Į"; kana="Ȥ褦礦"; romaji="touyoucho"; shozoku=""}; 
{kanji="ھ"; kana=""; romaji="kiba"; shozoku=""}; 
{kanji="Į"; kana="󤼤ʤ礦"; romaji="monzen-nakacho"; shozoku=""}; 
{kanji="Į"; kana="Ф礦"; romaji="kayabacho"; shozoku=""}; 
{kanji="ܶ"; kana="ˤۤФ"; romaji="nihonbashi"; shozoku=""}; 
{kanji="Į"; kana="Ƥޤ"; romaji="otemachi"; shozoku=""}; 
{kanji="ݶ"; kana="Ф"; romaji="takebashi"; shozoku=""}; 
{kanji="ʲ"; kana="󤷤"; romaji="kudanshita"; shozoku=""}; 
{kanji="Ķ"; kana="Ф"; romaji="iidabashi"; shozoku=""}; 
{kanji="ں"; kana="餶"; romaji="kagurazaka"; shozoku=""}; 
{kanji=""; kana="碌"; romaji="waseda"; shozoku=""}; 
{kanji="Ͼ"; kana="ΤФ"; romaji="takadanobaba"; shozoku=""}; 
{kanji=""; kana=""; romaji="ochiai"; shozoku=""}; 
{kanji=""; kana="ʤ"; romaji="nakano"; shozoku=""}; 
{romaji="shinkiba"; kana="󤭤"; kanji="ھ"; shozoku="ͭĮ"}; 
{romaji="tatsumi"; kana="Ĥ"; kanji="ä̦"; shozoku="ͭĮ"}; 
{romaji="toyosu"; kana="Ȥ褹"; kanji="˭"; shozoku="ͭĮ"}; 
{romaji="tsukishima"; kana="Ĥ"; kanji=""; shozoku="ͭĮ"}; 
{romaji="shintomityou"; kana="Ȥߤ礦"; kanji="Į"; shozoku="ͭĮ"}; 
{romaji="ginzaittyoume"; kana="󤶤ä礦"; kanji="°"; shozoku="ͭĮ"}; 
{romaji="yuurakutyou"; kana="椦餯礦"; kanji="ͭĮ"; shozoku="ͭĮ"}; 
{romaji="sakuradamon"; kana=""; kanji=""; shozoku="ͭĮ"}; 
{romaji="nagatacho"; kana="ʤ礦"; kanji="Į"; shozoku="ͭĮ"}; 
{romaji="koujimachi"; kana="ޤ"; kanji="Į"; shozoku="ͭĮ"}; 
{romaji="ichigaya"; kana=""; kanji="ԥë"; shozoku="ͭĮ"}; 
{romaji="iidabashi"; kana="Ф"; kanji="Ķ"; shozoku="ͭĮ"}; 
{kanji=""; kana="ɤФ"; romaji="edogawabasi"; shozoku="ͭĮ"}; 
{kanji=""; kana=""; romaji="gokokuji"; shozoku="ͭĮ"}; 
{kanji=""; kana="Ҥ֤"; romaji="higasiikebukuro"; shozoku="ͭĮ"}; 
{kanji=""; kana="֤"; romaji="ikebukuro"; shozoku="ͭĮ"}; 
{kanji="Į"; kana="ʤ礦"; romaji="kanametyou"; shozoku="ͭĮ"}; 
{kanji=""; kana="󤫤"; romaji="senkawa"; shozoku="ͭĮ"}; 
{kanji="ݸ"; kana="फϤ"; romaji="kotakemukaihara"; shozoku="ͭĮ"}; 
{kanji="ɹ"; kana="Ҥ"; romaji="hikawadai"; shozoku="ͭĮ"}; 
{kanji="ʿ"; kana="ؤ"; romaji="heiwadai"; shozoku="ͭĮ"}; 
{kanji=""; kana="󤢤Ĥ"; romaji="eidanakakuka"; shozoku="ͭĮ"}; 
{kanji=""; kana="ʤޤ"; romaji="eidannarimasu"; shozoku="ͭĮ"}; 
{kanji="¸"; kana="盧"; romaji="wakousi"; shozoku="ͭĮ"}; 
] 
let global_ekikan_list = [ 
{kiten="塹ھ帶"; shuten="塹ڸ"; keiyu=""; kyori=1.0; jikan=2}; 
{kiten="塹ڸ"; shuten=""; keiyu=""; kyori=1.2; jikan=2}; 
{kiten=""; shuten="ɽƻ"; keiyu=""; kyori=0.9; jikan=2}; 
{kiten="ɽƻ"; shuten="ǵں"; keiyu=""; kyori=1.4; jikan=3}; 
{kiten="ǵں"; shuten="ֺ"; keiyu=""; kyori=1.1; jikan=2}; 
{kiten="ֺ"; shuten="ĻƲ"; keiyu=""; kyori=0.8; jikan=1}; 
{kiten="ĻƲ"; shuten=""; keiyu=""; kyori=0.7; jikan=1}; 
{kiten=""; shuten="ë"; keiyu=""; kyori=1.2; jikan=2}; 
{kiten="ë"; shuten="Ŷ"; keiyu=""; kyori=0.7; jikan=1}; 
{kiten="Ŷ"; shuten="Į"; keiyu=""; kyori=0.7; jikan=1}; 
{kiten="Į"; shuten="ο"; keiyu=""; kyori=1.3; jikan=2}; 
{kiten="ο"; shuten=""; keiyu=""; kyori=1.2; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=1.2; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=1.0; jikan=2}; 
{kiten=""; shuten="Τ"; keiyu=""; kyori=0.9; jikan=1}; 
{kiten="Τ"; shuten="Į"; keiyu=""; kyori=1.7; jikan=2}; 
{kiten="Į"; shuten="齻"; keiyu=""; kyori=2.6; jikan=3}; 
{kiten="齻"; shuten=""; keiyu=""; kyori=2.5; jikan=3}; 
{kiten=""; shuten="̰"; keiyu=""; kyori=2.1; jikan=4}; 
{kiten=""; shuten="ĸĮ"; keiyu=""; kyori=0.8; jikan=2}; 
{kiten="ĸĮ"; shuten="Į"; keiyu=""; kyori=0.7; jikan=1}; 
{kiten="Į"; shuten=""; keiyu=""; kyori=0.7; jikan=2}; 
{kiten=""; shuten="ϩ"; keiyu=""; kyori=0.5; jikan=2}; 
{kiten="ϩ"; shuten="Į"; keiyu=""; kyori=0.6; jikan=1}; 
{kiten="Į"; shuten=""; keiyu=""; kyori=1.1; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=0.7; jikan=1}; 
{kiten=""; shuten="ܶ"; keiyu=""; kyori=0.6; jikan=2}; 
{kiten="ܶ"; shuten=""; keiyu=""; kyori=0.7; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=0.7; jikan=1}; 
{kiten=""; shuten=""; keiyu=""; kyori=0.9; jikan=2}; 
{kiten=""; shuten="ץ"; keiyu=""; kyori=0.8; jikan=2}; 
{kiten="ץ"; shuten="ίӻ"; keiyu=""; kyori=0.6; jikan=2}; 
{kiten="ίӻ"; shuten="ֺ丫"; keiyu=""; kyori=0.9; jikan=2}; 
{kiten="ֺ丫"; shuten="Ļ"; keiyu=""; kyori=1.3; jikan=2}; 
{kiten="Ļ"; shuten=""; keiyu=""; kyori=0.7; jikan=2}; 
{kiten=""; shuten="ɽƻ"; keiyu=""; kyori=0.7; jikan=1}; 
{kiten="ɽƻ"; shuten="ë"; keiyu=""; kyori=1.3; jikan=1}; 
{kiten="ë"; shuten="ɽƻ"; keiyu="Ⱦ¢"; kyori=1.3; jikan=2}; 
{kiten="ɽƻ"; shuten="Ļ"; keiyu="Ⱦ¢"; kyori=1.4; jikan=2}; 
{kiten="Ļ"; shuten="Į"; keiyu="Ⱦ¢"; kyori=1.3; jikan=2}; 
{kiten="Į"; shuten="Ⱦ¢"; keiyu="Ⱦ¢"; kyori=1.0; jikan=2}; 
{kiten="Ⱦ¢"; shuten="ʲ"; keiyu="Ⱦ¢"; kyori=1.6; jikan=2}; 
{kiten="ʲ"; shuten="Į"; keiyu="Ⱦ¢"; kyori=0.4; jikan=1}; 
{kiten="Į"; shuten="Į"; keiyu="Ⱦ¢"; kyori=1.7; jikan=3}; 
{kiten="Į"; shuten=""; keiyu="Ⱦ¢"; kyori=0.7; jikan=1}; 
{kiten=""; shuten="ŷ"; keiyu="Ⱦ¢"; kyori=1.3; jikan=2}; 
{kiten="ŷ"; shuten=""; keiyu="Ⱦ¢"; kyori=1.7; jikan=3}; 
{kiten=""; shuten=""; keiyu="Ⱦ¢"; kyori=1.9; jikan=3}; 
{kiten=""; shuten="ӻĮ"; keiyu="Ⱦ¢"; kyori=1.; jikan=2}; 
{kiten="ӻĮ"; shuten=""; keiyu="Ⱦ¢"; kyori=1.4; jikan=2}; 
{kiten="ܹ"; shuten=""; keiyu="ë"; kyori=1.; jikan=2}; 
{kiten=""; shuten=""; keiyu="ë"; kyori=1.5; jikan=3}; 
{kiten=""; shuten="ϻ"; keiyu="ë"; kyori=1.7; jikan=3}; 
{kiten="ϻ"; shuten="ëĮ"; keiyu="ë"; kyori=1.5; jikan=3}; 
{kiten="ëĮ"; shuten=""; keiyu="ë"; kyori=1.3; jikan=2}; 
{kiten=""; shuten="ë"; keiyu="ë"; kyori=1.2; jikan=2}; 
{kiten="ë"; shuten=""; keiyu="ë"; kyori=0.4; jikan=1}; 
{kiten=""; shuten=""; keiyu="ë"; kyori=0.4; jikan=1}; 
{kiten=""; shuten=""; keiyu="ë"; kyori=0.6; jikan=2}; 
{kiten=""; shuten="Ȭ"; keiyu="ë"; kyori=1.; jikan=2}; 
{kiten="Ȭ"; shuten="Į"; keiyu="ë"; kyori=0.5; jikan=1}; 
{kiten="Į"; shuten="ͷĮ"; keiyu="ë"; kyori=0.9; jikan=2}; 
{kiten="ͷĮ"; shuten="Į"; keiyu="ë"; kyori=0.6; jikan=1}; 
{kiten="Į"; shuten="ո"; keiyu="ë"; kyori=0.9; jikan=2}; 
{kiten="ո"; shuten="Į"; keiyu="ë"; kyori=1.; jikan=1}; 
{kiten="Į"; shuten=""; keiyu="ë"; kyori=0.5; jikan=1}; 
{kiten=""; shuten="ë"; keiyu="ë"; kyori=1.2; jikan=2}; 
{kiten="ë"; shuten=""; keiyu="ë"; kyori=1.2; jikan=2}; 
{kiten=""; shuten="齻"; keiyu="ë"; kyori=0.8; jikan=2}; 
{kiten="齻"; shuten="齻"; keiyu="ë"; kyori=1.8; jikan=3}; 
{kiten=""; shuten=""; keiyu="ݥ"; kyori=1.8; jikan=3}; 
{kiten=""; shuten="謲ë"; keiyu="ݥ"; kyori=1.2; jikan=2}; 
{kiten="謲ë"; shuten="ڱ"; keiyu="ݥ"; kyori=1.8; jikan=2}; 
{kiten="ڱ"; shuten="ܶ"; keiyu="ݥ"; kyori=0.8; jikan=1}; 
{kiten="ܶ"; shuten="ο"; keiyu="ݥ"; kyori=0.8; jikan=1}; 
{kiten="ο"; shuten="øϩĮ"; keiyu="ݥ"; kyori=0.8; jikan=1}; 
{kiten="øϩĮ"; shuten="Į"; keiyu="ݥ"; kyori=0.9; jikan=2}; 
{kiten="Į"; shuten=""; keiyu="ݥ"; kyori=0.6; jikan=1}; 
{kiten=""; shuten=""; keiyu="ݥ"; kyori=1.1; jikan=2}; 
{kiten=""; shuten=""; keiyu="ݥ"; kyori=1.0; jikan=2}; 
{kiten=""; shuten="ĻƲ"; keiyu="ݥ"; kyori=0.7; jikan=1}; 
{kiten="ĻƲ"; shuten="ֺ丫"; keiyu="ݥ"; kyori=0.9; jikan=2}; 
{kiten="ֺ丫"; shuten="ͥë"; keiyu="ݥ"; kyori=1.3; jikan=2}; 
{kiten="ͥë"; shuten="ë"; keiyu="ݥ"; kyori=1.0; jikan=2}; 
{kiten="ë"; shuten="ɸ"; keiyu="ݥ"; kyori=0.9; jikan=1}; 
{kiten="ɸ"; shuten="ɻ"; keiyu="ݥ"; kyori=0.7; jikan=1}; 
{kiten="ɻ"; shuten=""; keiyu="ݥ"; kyori=0.3; jikan=1}; 
{kiten=""; shuten=""; keiyu="ݥ"; kyori=0.8; jikan=1}; 
{kiten=""; shuten=""; keiyu="ݥ"; kyori=1.1; jikan=2}; 
{kiten=""; shuten=""; keiyu="ݥ"; kyori=1.1; jikan=2}; 
{kiten=""; shuten="߻"; keiyu="ݥ"; kyori=1.0; jikan=1}; 
{kiten="߻"; shuten="߻"; keiyu="ݥ"; kyori=0.9; jikan=1}; 
{kiten="߻"; shuten="ë"; keiyu="ݥ"; kyori=1.2; jikan=2}; 
{kiten="ë"; shuten=""; keiyu="ݥ"; kyori=1.5; jikan=2}; 
{kiten=""; shuten=""; keiyu="ݥ"; kyori=1.3; jikan=2}; 
{kiten=""; shuten="ٻθĮ"; keiyu="ݥ"; kyori=0.6; jikan=1}; 
{kiten="ٻθĮ"; shuten="Į"; keiyu="ݥ"; kyori=1.3; jikan=2}; 
{kiten="ԥë"; shuten="ͥë"; keiyu=""; kyori=1.0; jikan=2}; 
{kiten="ͥë"; shuten="Į"; keiyu=""; kyori=1.3; jikan=3}; 
{kiten="Į"; shuten="ίӻ"; keiyu=""; kyori=0.9; jikan=1}; 
{kiten="ίӻ"; shuten="ϻڰ"; keiyu=""; kyori=0.9; jikan=2}; 
{kiten="ϻڰ"; shuten="۽"; keiyu=""; kyori=1.2; jikan=2}; 
{kiten="۽"; shuten=""; keiyu=""; kyori=1.3; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=1.0; jikan=2}; 
{kiten=""; shuten="ܹ"; keiyu=""; kyori=1.3; jikan=2}; 
{kiten="ԥë"; shuten="Ķ"; keiyu=""; kyori=1.1 ; jikan=2}; 
{kiten="Ķ"; shuten="ڱ"; keiyu=""; kyori=1.4 ; jikan=2}; 
{kiten="ڱ"; shuten=""; keiyu=""; kyori=1.3 ; jikan=3}; 
{kiten=""; shuten="ܶ"; keiyu=""; kyori=0.9 ; jikan=2}; 
{kiten="ܶ"; shuten=""; keiyu=""; kyori=1.4; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=1.4; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=1.0; jikan=2}; 
{kiten=""; shuten="ҿë"; keiyu=""; kyori=1.2; jikan=2}; 
{kiten="ҿë"; shuten=""; keiyu=""; kyori=1.6; jikan=3}; 
{kiten=""; shuten="ֱʥ"; keiyu=""; kyori=1.1; jikan=2}; 
{kiten="" ; shuten="滳"; keiyu=""; kyori=1.9; jikan=3}; 
{kiten="滳"; shuten="̯ŵ"; keiyu=""; kyori=2.1 ; jikan=2}; 
{kiten="̯ŵ"; shuten=""; keiyu=""; kyori=1.3 ; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=1.5 ; jikan=2}; 
{kiten=""; shuten="" ; keiyu=""; kyori=1.2 ; jikan=2}; 
{kiten="" ; shuten=""; keiyu=""; kyori=1.9 ; jikan=2}; 
{kiten=""; shuten=""; keiyu=""; kyori=1.2 ; jikan=2}; 
{kiten=""; shuten="Į"; keiyu=""; kyori=2.7 ; jikan=2}; 
{kiten="Į"; shuten="Į"; keiyu=""; kyori=1.2 ; jikan=2}; 
{kiten="Į"; shuten="ھ" ; keiyu=""; kyori=0.9 ; jikan=1}; 
{kiten="ھ"; shuten="Į"; keiyu=""; kyori=1.1 ; jikan=1}; 
{kiten="Į"; shuten="Į"; keiyu=""; kyori=1.8 ; jikan=2}; 
{kiten="Į"; shuten="ܶ"; keiyu=""; kyori=0.5 ; jikan=1}; 
{kiten="ܶ"; shuten="Į"; keiyu=""; kyori=0.8 ; jikan=1}; 
{kiten="Į"; shuten="ݶ"; keiyu=""; kyori=1.0; jikan=2}; 
{kiten="ݶ"; shuten="ʲ"; keiyu=""; kyori=1.0; jikan=1}; 
{kiten="ʲ"; shuten="Ķ"; keiyu=""; kyori=0.7; jikan=1}; 
{kiten="Ķ"; shuten="ں"; keiyu=""; kyori=1.2; jikan=2}; 
{kiten="ں"; shuten=""; keiyu=""; kyori=1.2; jikan=2}; 
{kiten=""; shuten="Ͼ"; keiyu=""; kyori=1.7; jikan=3}; 
{kiten="Ͼ"; shuten=""; keiyu=""; kyori=1.9; jikan=3}; 
{kiten=""; shuten=""; keiyu=""; kyori=2.0; jikan=3}; 
{kiten="ھ"; shuten="ä̦"; keiyu="ͭĮ"; kyori=1.5; jikan=2}; 
{kiten="ä̦"; shuten="˭"; keiyu="ͭĮ"; kyori=1.7; jikan=2}; 
{kiten="˭"; shuten=""; keiyu="ͭĮ"; kyori=1.4; jikan=2}; 
{kiten=""; shuten="Į"; keiyu="ͭĮ"; kyori=1.3; jikan=2}; 
{kiten="Į"; shuten="°"; keiyu="ͭĮ"; kyori=0.7; jikan=1}; 
{kiten="°"; shuten="ͭĮ"; keiyu="ͭĮ"; kyori=0.5; jikan=1}; 
{kiten="ͭĮ"; shuten=""; keiyu="ͭĮ"; kyori=1.0; jikan=1}; 
{kiten=""; shuten="Į"; keiyu="ͭĮ"; kyori=0.9; jikan=2}; 
{kiten="Į"; shuten="Į"; keiyu="ͭĮ"; kyori=0.9; jikan=1}; 
{kiten="Į"; shuten="ԥë"; keiyu="ͭĮ"; kyori=0.9; jikan=1}; 
{kiten="ԥë"; shuten="Ķ"; keiyu="ͭĮ"; kyori=1.1; jikan=2}; 
{kiten="Ķ"; shuten=""; keiyu="ͭĮ"; kyori=1.6; jikan=3}; 
{kiten=""; shuten=""; keiyu="ͭĮ"; kyori=1.3; jikan=2}; 
{kiten=""; shuten=""; keiyu="ͭĮ"; kyori=1.1; jikan=2}; 
{kiten=""; shuten=""; keiyu="ͭĮ"; kyori=2.0; jikan=2}; 
{kiten=""; shuten="Į"; keiyu="ͭĮ"; kyori=1.2; jikan=2}; 
{kiten="Į"; shuten=""; keiyu="ͭĮ"; kyori=1.0; jikan=1}; 
{kiten=""; shuten="ݸ"; keiyu="ͭĮ"; kyori=1.0; jikan=2}; 
{kiten="ݸ"; shuten="ɹ"; keiyu="ͭĮ"; kyori=1.5; jikan=2}; 
{kiten="ɹ"; shuten="ʿ"; keiyu="ͭĮ"; kyori=1.4; jikan=2}; 
{kiten="ʿ"; shuten=""; keiyu="ͭĮ"; kyori=1.8; jikan=2}; 
{kiten=""; shuten=""; keiyu="ͭĮ"; kyori=1.5; jikan=2}; 
{kiten=""; shuten="¸"; keiyu="ͭĮ"; kyori=2.1; jikan=3}; 
] 
